Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 294571 - dev-libs/cyberjack-3.3.2 fails to build
Summary: dev-libs/cyberjack-3.3.2 fails to build
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Wolfram Schlich (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 314081
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-11-25 10:37 UTC by Ognjan Kirilov Iordanov
Modified: 2010-05-18 19:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,56.92 KB, text/plain)
2009-11-25 10:39 UTC, Ognjan Kirilov Iordanov
Details
ebuild for fixes.patch (cyberjack-3.3.2.ebuild,2.65 KB, text/plain)
2009-11-30 12:09 UTC, Ognjan Kirilov Iordanov
Details
The fixes.patch (fixes.patch,3.48 KB, patch)
2009-11-30 12:10 UTC, Ognjan Kirilov Iordanov
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ognjan Kirilov Iordanov 2009-11-25 10:37:18 UTC
dev-libs/cyberjack-3.3.2 fails to build

libtool: link: (cd ".libs" && rm -f "ifd-cyberjack.so.2" && ln -s "ifd-cyberjack.so.2.3.2" "ifd-cyberjack.so.2")                   
libtool: link: (cd ".libs" && rm -f "ifd-cyberjack.so" && ln -s "ifd-cyberjack.so.2.3.2" "ifd-cyberjack.so")                       
libtool: link: ( cd ".libs" && rm -f "ifd-cyberjack.la" && ln -s "../ifd-cyberjack.la" "ifd-cyberjack.la" )                        
make[2]: Leaving directory `/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/work/ctapi-cyberjack-3.3.2/ifd'                      
Making all in libcyberjack                                                                                                         
make[2]: Entering directory `/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/work/ctapi-cyberjack-3.3.2/libcyberjack'            
/bin/sh ../libtool --tag=CXX   --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../include -I../cjeca32 -I../ctapi  -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/PCSC -D_LINUX   -O2 -march=pentium-m -fomit-frame-pointer -pipe -fno-strict-aliasing -Wall -MT driver.lo -MD -MP -MF .deps/driver.Tpo -c -o driver.lo driver.cpp                                                                                                                    
/bin/sh ../libtool --tag=CXX   --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../include -I../cjeca32 -I../ctapi  -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -I/usr/include/PCSC -D_LINUX   -O2 -march=pentium-m -fomit-frame-pointer -pipe -fno-strict-aliasing -Wall -MT driver_ctapi.lo -MD -MP -MF .deps/driver_ctapi.Tpo -c -o driver_ctapi.lo driver_ctapi.cpp                                                                                            
libtool: compile:  i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../include -I../cjeca32 -I../ctapi -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/PCSC -D_LINUX -O2 -march=pentium-m -fomit-frame-pointer -pipe -fno-strict-aliasing -Wall -MT driver.lo -MD -MP -MF .deps/driver.Tpo -c driver.cpp  -fPIC -DPIC -o .libs/driver.o                                                                                                                                  
libtool: compile:  i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I.. -I../include -I../cjeca32 -I../ctapi -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/PCSC -D_LINUX -O2 -march=pentium-m -fomit-frame-pointer -pipe -fno-strict-aliasing -Wall -MT driver_ctapi.lo -MD -MP -MF .deps/driver_ctapi.Tpo -c driver_ctapi.cpp  -fPIC -DPIC -o .libs/driver_ctapi.o
driver.cpp: In member function »int Cyberjack::Reader::_getModuleInfo(int, cj_ModuleInfo*)«:
driver.cpp:157: Fehler: »stderr« wurde in diesem Gültigkeitsbereich nicht definiert
driver.cpp:157: Fehler: »fprintf« wurde in diesem Gültigkeitsbereich nicht definiert
driver.cpp: In member function »int Cyberjack::Reader::_getReaderInfo(cj_ReaderInfo*)«:
driver.cpp:199: Fehler: »stderr« wurde in diesem Gültigkeitsbereich nicht definiert
driver.cpp:199: Fehler: »fprintf« wurde in diesem Gültigkeitsbereich nicht definiert
make[2]: *** [driver.lo] Fehler 1
make[2]: *** Warte auf noch nicht beendete Prozesse...
driver_ctapi.cpp: In member function »virtual int Cyberjack::ReaderCtapi::connect(int)«:
driver_ctapi.cpp:138: Fehler: »snprintf« wurde in diesem Gültigkeitsbereich nicht definiert
driver_ctapi.cpp:145: Fehler: »snprintf« wurde in diesem Gültigkeitsbereich nicht definiert
driver_ctapi.cpp: In member function »virtual int Cyberjack::ReaderCtapi::test(std::string&)«:
driver_ctapi.cpp:265: Fehler: »snprintf« wurde in diesem Gültigkeitsbereich nicht definiert
driver_ctapi.cpp: In member function »virtual int Cyberjack::DriverCtapi::enumReaders()«:
driver_ctapi.cpp:519: Fehler: »snprintf« wurde in diesem Gültigkeitsbereich nicht definiert
driver_ctapi.cpp:663: Fehler: »snprintf« wurde in diesem Gültigkeitsbereich nicht definiert
make[2]: *** [driver_ctapi.lo] Fehler 1
make[2]: Leaving directory `/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/work/ctapi-cyberjack-3.3.2/libcyberjack'
make[1]: *** [all-recursive] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/work/ctapi-cyberjack-3.3.2'
make: *** [all] Fehler 2
 * ERROR: dev-libs/cyberjack-3.3.2 failed:
 *   Compilation of package failed.
 *
 * Call stack:
 *     ebuild.sh, line  49:  Called src_compile
 *   environment, line 3123:  Called die
 * The specific snippet of code:
 *       emake || die "Compilation of package failed."
 *
 * If you need support, post the output of 'emerge --info =dev-libs/cyberjack-3.3.2',
 * the complete build log and the output of 'emerge -pqv =dev-libs/cyberjack-3.3.2'.
 * The complete build log is located at '/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/temp/environment'.
 * S: '/var/tmp/portage/portage/dev-libs/cyberjack-3.3.2/work/ctapi-cyberjack-3.3.2'

# emerge --info =dev-libs/cyberjack-3.3.2
Portage 2.2_rc51 (default/linux/x86/10.0/desktop, gcc-4.4.2, glibc-2.11-r0, 2.6.28-thinkpad-r2 i686)
=================================================================                                   
                        System Settings                                                             
=================================================================                                   
System uname: Linux-2.6.28-thinkpad-r2-i686-Intel-R-_Pentium-R-_M_processor_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 25 Nov 2009 07:45:01 +0000                                                   
distcc 3.1 i686-pc-linux-gnu [disabled]                                                              
app-shells/bash:     4.0_p35                                                                         
dev-java/java-config: 1.3.7-r1, 2.1.9-r1                                                             
dev-lang/python:     2.6.4, 3.1.1-r1                                                                 
dev-python/pycrypto: 2.0.1-r8                                                                        
dev-util/cmake:      2.8.0                                                                           
sys-apps/baselayout: 2.0.1                                                                           
sys-apps/openrc:     0.5.2-r2                                                                        
sys-apps/sandbox:    2.2                                                                             
sys-devel/autoconf:  2.13, 2.64
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.20
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium-m -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium-m -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo "
LANG="de_DE.utf8@euro"
LC_ALL="de_DE.utf8@euro"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync1.de.gentoo.org/gentoo-portage"
USE="16bittmp X X509 a52 aac aalib acl acpi alsa apache2 bash-completion battery bidi bindist bluetooth branding bzip2 cairo cardbus cdda cddb cdio cdparanoia cdr chipcard chipcard2 cli consolekit cracklib crypt css ctype cups curl dba dbus dbx deprecated dga directfb discouraged divx dri dts dvb dvd dvdr eds emacs embedded encode esd eselect ethereal evo exif extras fam fat fbcon ffmpeg firefox flac fortran ftp gcrypt gd gdbm gif glut glx gnome gnutls gphoto2 gpm gps gstreamer gtk hal hbci hdaps httpd icc iconv icq ipv6 jabber java javascript john jpeg junit kde kpathsea laptop lcms ldap libnotify live mad madwifi matroska mikmod mime mjpeg mmx mmxext mng modules mono mozdevelop mozsvg mp3 mp4 mpeg mplayer msn mudflap mysql ncurses nls no-seamonkey nodoc nosrc nowin nptlonly nsplugin ntfs objc ogg openct opengl openmp openvpn oscar pam pcmcia pcre pcsc-lite pda pdf perl php piix_hotplug pm-utils png policykit postgres ppds pppd python qt-static qt3 qt3support qt4 quicktime readline reflection regex reiser4 reiserfs samba sdl session shout smartcard smbclient spell spl sql sqlite sse sse2 ssl startup-notification stream svg svga swat sysfs tcltk tcpd tetex threads thunar tidy tiff truetype type1 unicode usb v4l v4l2 vcd vlm vorbis webkit wifi win32codecs winbind wxwindows x264 x86 xcomposite xfs xinerama xml xorg xosd xrandr xulrunner xv xvid" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always
Comment 1 Ognjan Kirilov Iordanov 2009-11-25 10:39:11 UTC
Created attachment 211136 [details]
build.log
Comment 2 Ognjan Kirilov Iordanov 2009-11-30 12:09:12 UTC
Created attachment 211578 [details]
ebuild for fixes.patch

I solve this bug with this ebuild
Comment 3 Ognjan Kirilov Iordanov 2009-11-30 12:10:11 UTC
Created attachment 211580 [details, diff]
The fixes.patch
Comment 4 Navid Zamani 2009-12-04 05:07:56 UTC
Uuum, yeah great that it’s fixed. BUT, it won’t help much, *if it’s not in the freakin’ portage repository*!!

Whoever reads/maintains it: Please put it in, or this is pointless, and this bug is *not* closed.
Comment 5 Ognjan Kirilov Iordanov 2009-12-07 05:52:30 UTC
Ok I reopen this bug, until it is in portage repository.
Comment 6 Samuli Suominen gentoo-dev 2010-04-09 11:14:32 UTC
I wouldn't waste time on 3.3.2 anymore, work should be put in 3.3.5 in bug 314081 instead.
Comment 7 Samuli Suominen gentoo-dev 2010-05-18 19:41:39 UTC
Fixed by 3.3.5.